# Spec

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**annotations** | **list[str]** | Annotations on the job - could be user or machine assigned | [optional] 
**deal** | **AllOfSpecDeal** | The deal the client has made, such as which job bids they have accepted. | [optional] 
**do_not_track** | **bool** | Do not track specified by the client | [optional] 
**docker** | **AllOfSpecDocker** | Deprecated: use EngineSpec. | [optional] 
**engine** | **AllOfSpecEngine** | Deprecated: use EngineSpec. | [optional] 
**engine_spec** | [**EngineSpec**](EngineSpec.md) |  | [optional] 
**inputs** | [**list[StorageSpec]**](StorageSpec.md) | the data volumes we will read in the job for example \&quot;read this ipfs cid\&quot; | [optional] 
**network** | **AllOfSpecNetwork** | The type of networking access that the job needs | [optional] 
**node_selectors** | [**list[LabelSelectorRequirement]**](LabelSelectorRequirement.md) | NodeSelectors is a selector which must be true for the compute node to run this job. | [optional] 
**outputs** | [**list[StorageSpec]**](StorageSpec.md) | the data volumes we will write in the job for example \&quot;write the results to ipfs\&quot; | [optional] 
**publisher** | **AllOfSpecPublisher** | Deprecated: use PublisherSpec instead | [optional] 
**publisher_spec** | [**PublisherSpec**](PublisherSpec.md) |  | [optional] 
**timeout** | **int** | How long a job can run in seconds before it is killed. This includes the time required to run, verify and publish results | [optional] 
**total_allocated_resources** | **AllOfSpecTotalAllocatedResources** | the compute (cpu, ram) resources this job requires | [optional] 
**wasm** | **AllOfSpecWasm** | Deprecated: use EngineSpec. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

